Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159888 - CVE-2005-1704 Integer overflow in libelf
Summary: CVE-2005-1704 Integer overflow in libelf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: elfutils
Version: 4.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard: impact=low,public=20050525,reported=2...
Depends On:
Blocks: 159908 181409
TreeView+ depends on / blocked
 
Reported: 2005-06-08 21:04 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2006-0354
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 18:28:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0354 normal SHIPPED_LIVE Low: elfutils security update 2006-08-10 04:00:00 UTC

Description Josh Bressers 2005-06-08 21:04:34 UTC
Integer overflow in the BFD library for libelf before 6.3 allows attackers to
execute arbitrary code via a crafted object file that specifies a large number
of section headers, leading to a heap-based buffer overflow.

Comment 1 Josh Bressers 2005-06-08 21:05:24 UTC
This issue should also affect RHEL2.1 and RHEL3

Comment 2 Josh Bressers 2005-06-08 21:08:45 UTC
elfutils is not in RHEL2.1, my mistake.

Comment 9 Red Hat Bugzilla 2006-08-10 18:28:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0354.html



Note You need to log in before you can comment on or make changes to this bug.